ferdo:
imagine this scenario: if i add some caracters to the callout text "A" of the cut section for example, change it to "A12", and after that i try to change the name of the view "A-A", the callout text will not change, and it's a big problem!
one solution is to use:
Dim DrwDocument As...
Hi,
My question is : how to use the view identifier as parameter?
For example :
Dim DrwDocument As DrawingDocument
Set DrwDocument = CATIA.ActiveDocument
Dim iParameter As Parameter
Set iParameter = DrwDocument.Parameters.Item("Drawing\Sheet.1\ViewMakeUp.1\Scale")
MyText.InsertVariable 0, 0...
Hi everybody,
i'm here again :D
i have a question and i hope that will be an easy one.
how can i format a sub text?
for example if i have a drawing text and i want to change it's value to : FormatedExample
i know that we can set the propreties of the hole text... but i want to know if...
thank you ferdo, i didnt see your answer ... it's a smart solution, but :
selection1.Search "CATDrwSearch.DrwText,all"
will search in all the drawing document so it will consum lot of memory ... can i search just in the active view ? how can i do that?
hi ferdo,
my question is clear ... if it is a drawing text, why can't find it in the texts collection? this is my code:
Sub CATMain()
Set drawingDocument1 = CATIA.ActiveDocument
Set drawingSheets1 = drawingDocument1.Sheets
Set drawingSheet1 = drawingSheets1.Item(1)
Set drawingViews1 =...
If i use this code with my drawing ( http://www.hostingpics.net/viewer.php?id=65419615ca.jpg ) :
Sub CATMain()
Set drawingDocument1 = CATIA.ActiveDocument
Set drawingSheets1 = drawingDocument1.Sheets
Set drawingSheet1 = drawingSheets1.Item(1)
Set drawingViews1 = drawingSheet1.Views
Set...
Thanks Fernando, your code work perfectly ...
I can change this text with this method, but my objectif is to do that without the intervention of the user ... i dont know why catia dont consider it as text, so i can access to it with texts collection ...
anyone can help me ?
if the user select this "text" ... catia dont consider it as text ... so you can't change it ... this is the problem ...
i dont believe that we can't make this simple task with CATIA VBA ... it's sad ...
AlexLozoya: i want to change the value of this text without changing the name of the cut view ... manually it's possible ... but with macro i dont know how ...
thanks for your answer ferdo...
but if i double clic on this text i can change it without affecting the cut view name ... and i want to do that with a macro ... i hope that you understand what i mean...
Hi AlexLozoya,
thanks for your answer, but i need to change the value of text which indicates the source of cut view ( you can see the picture ... )
[ponder] can someone help me to resolvre this problem?